package org.eclipse.gef.asindesigner.actions;

import org.eclipse.draw2d.geometry.Point;
import org.eclipse.gef.asindesigner.model.AsinElementFactory;
import org.eclipse.gef.requests.CreationFactory;
import org.eclipse.ui.IEditorPart;

/**
 * @author Eric Bordeau
 */
public class AsinPasteTemplateAction extends PasteTemplateAction {

/**
 * Constructor for AsinPasteTemplateAction.
 * @param editor
 */
public AsinPasteTemplateAction(IEditorPart editor) {
	super(editor);
}

/**
 * @see org.eclipse.gef.ui.actions.PasteTemplateAction#getFactory(java.lang.Object)
 */
protected CreationFactory getFactory(Object template) {
	return new AsinElementFactory((String)template);
}

/**
 * 
 * @see org.eclipse.gef.examples.logicdesigner.actions.PasteTemplateAction#getPasteLocation()
 */
protected Point getPasteLocation() {
	return new Point(10, 10);
}

}
