package org.eclipse.gef.asindesigner.dnd;

import org.eclipse.gef.EditPartViewer;
import org.eclipse.gef.asindesigner.model.AsinElementFactory;
import org.eclipse.gef.dnd.TemplateTransferDropTargetListener;
import org.eclipse.gef.requests.CreationFactory;

/**
 * This listener handles logic templates that are dropped onto
 * the logic editor.
 * 
 * @author Eric Bordeau
 */
public class AsinTemplateTransferDropTargetListener
	extends TemplateTransferDropTargetListener 
{

public AsinTemplateTransferDropTargetListener(EditPartViewer viewer) {
	super(viewer);
}

protected CreationFactory getFactory(Object template) {
	if (template instanceof String)
		return new AsinElementFactory((String)template);
	return null;
}

}
