package org.eclipse.gef.asindesigner.model;

import org.eclipse.gef.requests.CreationFactory;

public class AsinConnectionFactory implements CreationFactory {

	private String template;

	public AsinConnectionFactory(String str) {
		template = str;
	}

	public Object getNewObject() {
		if (template.equals("Wire"))
			return new Wire();
		if (template.equals("Wire2"))
			return new Wire2();		
		return null;
	}

	public Object getObjectType() {
		return template;
	}
}
