package org.eclipse.gef.asindesigner.edit;

import org.eclipse.gef.EditPart;
import org.eclipse.gef.Request;
import org.eclipse.gef.asindesigner.model.AsinLabel;
import org.eclipse.gef.asindesigner.model.commands.AsinLabelCommand;
import org.eclipse.gef.commands.Command;

public class AsinLabelEditPolicy 
	extends AsinElementEditPolicy 
{

public Command getCommand(Request request) {
	if (NativeDropRequest.ID.equals(request.getType()))
		return getDropTextCommand((NativeDropRequest)request);
	return super.getCommand(request);
}

protected Command getDropTextCommand(NativeDropRequest request) {
	AsinLabelCommand command = new AsinLabelCommand((AsinLabel)getHost().getModel(), (String)request.getData());
	return command;
}

public EditPart getTargetEditPart(Request request) {
	if (NativeDropRequest.ID.equals(request.getType()))
		return getHost();
	return super.getTargetEditPart(request);
}

}
