package org.eclipse.gef.asindesigner.edit;

import org.eclipse.gef.EditPart;
import org.eclipse.gef.EditPartFactory;
import org.eclipse.gef.asindesigner.model.AsinDiagram;

public class TreePartFactory
	implements EditPartFactory
{

public EditPart createEditPart(EditPart context, Object model) {
	if (model instanceof AsinDiagram)
		return new AsinContainerTreeEditPart(model);
	return new AsinTreeEditPart(model);
}

}