package org.eclipse.gef.asindesigner.figures;

import org.eclipse.draw2d.*;
import org.eclipse.draw2d.geometry.*;

public class FixedConnectionAnchor2 extends FixedConnectionAnchor {

	private Object direction;
	public boolean left = false;
	public boolean top = false;
	public boolean right = false;
	public boolean botton = false;
	//public boolean leftToRight = true;
	public int offsetH;
	public int offsetV;
	//public boolean topDown = true;
	public FixedConnectionAnchor2(IFigure owner) {
		super(owner);
	}

	/**
	 * @see org.eclipse.draw2d.AbstractConnectionAnchor#ancestorMoved(IFigure)
	 */
	public void ancestorMoved(IFigure figure) {
		if (figure instanceof ScalableFigure)
			return;
		super.ancestorMoved(figure);
	}

	public Point getLocation(Point reference) {
		//System.out.println("Chamada a getLocation()");
		Rectangle r = getOwner().getBounds();
		int x, y;		
		x = r.x + offsetH;
		y = r.y + offsetV;
		Point p = new PrecisionPoint(x, y);
		getOwner().translateToAbsolute(p);
		//System.out.println("Chamada a getLocation REtornando...");
		return p;
	}

	public Point getReferencePoint() {
		//System.out.println("Chamada a getReferencePoint()");
		return getLocation(null);
	}

}