package org.eclipse.gef.asindesigner.model;

import org.eclipse.draw2d.geometry.Dimension;
import org.eclipse.gef.asindesigner.AsinMessages;
import org.eclipse.swt.graphics.Image;

public class AsinLabel extends AsinSubpart {

	private String text = AsinMessages.AsinPlugin_Tool_CreationTool_AsinLabel;
	private static Image LOGIC_LABEL_ICON = new Image(null,5,5);
	//LED.class.getResourceAsStream("icons/label16.gif"));  //$NON-NLS-1$

	private static int count;

	public AsinLabel() {
		super();
	}

	public String getLabelContents() {
		return text;
	}

	public Image getIconImage() {
		return LOGIC_LABEL_ICON;
	}

	protected String getNewID() {
		return Integer.toString(count++);
	}

	public Dimension getSize() {
		return new Dimension(-1, -1);
	}

	public void setLabelContents(String s) {
		text = s;
		firePropertyChange("labelContents", "", text); //$NON-NLS-2$//$NON-NLS-1$
	}

	public String toString() {
		return AsinMessages.AsinPlugin_Tool_CreationTool_AsinLabel + " #" + getID() + " " //$NON-NLS-1$ //$NON-NLS-2$
		+AsinMessages.PropertyDescriptor_Label_Text + "=" + getLabelContents(); //$NON-NLS-1$ 
	}

}