package org.eclipse.gef.asindesigner.model;

import org.eclipse.gef.asindesigner.AsinMessages;
import org.eclipse.swt.graphics.Image;

public class EndNode extends SimpleOutput {

	private static Image AND_ICON = new Image(null, EndNode.class.getResourceAsStream("icons/and16.gif")); //$NON-NLS-1$
	static final long serialVersionUID = 1;
	public static String
		TERMINAL_A = "A";  //$NON-NLS-1$
		//TERMINAL_B = "B";  //$NON-NLS-1$

	public Image getIconImage() {
		return AND_ICON;
	}

	public boolean getResult() {
		return getInput(TERMINAL_A);// & getInput(TERMINAL_B);
	}

	public String toString() {
		return AsinMessages.AndGate_LabelText + " #" + getID(); //$NON-NLS-1$
	}

    /*Output Connection are not allowed*/
	public void connectOutput(Wire w) {
	}
	public void disconnectOutput(Wire w) {
	}
	protected void setOutput(String terminal, boolean val) {
	}
//	public Vector getSourceConnections() {
//		return null;
//	}	
}
