package org.eclipse.gef.asindesigner.model;

import org.eclipse.gef.asindesigner.AsinMessages;
import org.eclipse.swt.graphics.Image;

public class NTerminal extends AsinDiagram {

	private static Image NTerminal_ICON = new Image(null, NTerminal.class.getResourceAsStream("icons/circuit16.gif")); //$NON-NLS-1$
	static final long serialVersionUID = 1;
	private static int count;
	private AsinLabel texto = new AsinLabel();
	
	public NTerminal(){
		texto.setLabelContents("NTerm Name");
	//	setTipo('T');
		this.addChild(texto);
	}

	public static String TERMINALS_OUT[] =
		//new String [] {	"1","2","3","4", //$NON-NLS-4$//$NON-NLS-3$//$NON-NLS-2$//$NON-NLS-1$
		//			"5","6","7","8"};//$NON-NLS-4$//$NON-NLS-3$//$NON-NLS-2$//$NON-NLS-1$
	new String[] { "1", "2", "3", "4" }; //$NON-NLS-4$//$NON

	public static String TERMINALS_IN[] =
		//new String [] {	"A","B","C","D", //$NON-NLS-4$//$NON-NLS-3$//$NON-NLS-2$//$NON-NLS-1$
		//			"E","F","G","H"};//$NON-NLS-4$//$NON-NLS-3$//$NON-NLS-2$//$NON-NLS-1$
	new String[] { "A", "B", "C", "D" };

	public Image getIconImage() {
		return NTerminal_ICON;
	}



	public String getNewID() {
		return Integer.toString(count++);
	}	
	public String toString() {
		return AsinMessages.NTerminal_LabelText + " #" + getID(); //$NON-NLS-1$
	}

	public void update() {
		//for (int i=0; i<8;i++)
		for (int i = 0; i < 4; i++)
			setOutput(TERMINALS_OUT[i], getInput(TERMINALS_IN[i]));
	}

}
