package org.eclipse.gef.asindesigner.model.commands;

import org.eclipse.gef.asindesigner.model.AsinLabel;
import org.eclipse.gef.commands.Command;

public class AsinLabelCommand
	extends Command
{

private String newName, oldName;
private AsinLabel label;

public AsinLabelCommand(AsinLabel l, String s) {
	label = l;
	if (s != null)
		newName = s;
	else
		newName = "";  //$NON-NLS-1$
}

public void execute() {
	oldName = label.getLabelContents();
	label.setLabelContents(newName);
}

public void undo() {
	label.setLabelContents(oldName);
}

}
